
@use "sass:map" ;
@import 'defaults' ;
@import 'Header' ;
@import 'Portfolio' ;
@import 'Footer' ;

body {
  margin: 0;
  font-family: $font-glacial-normal ;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color : $black ;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
    monospace;
}

a {
  color: $black;
  text-decoration : none ;
}

a:visited {
  color : initial ;
}

.yellow {
  background-color : $yellow ;
}

.green {
  background-color : $green ;
}

.blue {
  background-color : $blue ;
}

.brown {
  background-color : $brown ;
}

.red {
  background-color : $red ;
}

.container {
  display : flex ;
  flex-flow : column;
  height : 100vh ;
}

.image-background {
  background-image : url('../images/background-image-2.jpg') ;
  background-size : cover ;
  background-position-x : center;
}

.writing::before {
  content : '\f56b' ;
  margin-right : 0.2em ;
  font-family: $font-line-awesome ;
}

.software::before {
  content : '\f121' ;
  margin-right : 0.2em ;
  font-family: $font-line-awesome ;
}

.architecture::before {
  content : '\f557' ;
  margin-right : 0.2em ;
  font-family: $font-line-awesome ;
}

.philosophy::before {
  content : '\f0eb' ;
  margin-right : 0.2em ;
  font-family: $font-line-awesome ;
}

.spirituality::before {
  content : '\f1bb' ;
  margin-right : 0.2em ;
  font-family: $font-line-awesome ;
}

.creative::before {
  content : '\f5ac' ;
  margin-right : 0.2em ;
  font-family: $font-line-awesome ;
}

.blog::before {
  content : '\f4ad' ;
  margin-right : 0.2em ;
  font-family: $font-line-awesome ;
}

.portfolio::before {
  content : '\f07c' ;
  margin-right : 0.2em ;
  font-family: $font-line-awesome ;
}
